> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Address

> Create a single Address.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/addresses
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/addresses:
    post:
      tags:
        - Address
      summary: Create Address
      description: Create a single Address.
      operationId: createAddress
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: odit
      requestBody:
        content:
          application/json:
            schema:
              required:
                - country_code
                - company_name
                - line_one
                - city
                - postcode
              type: object
              properties:
                country_code:
                  type: string
                  description: >-
                    The <code>code</code> of an existing record in the countries
                    table.
                  example: omnis
                vat_number:
                  type: string
                  description: ''
                  nullable: true
                  example: aliquid
                first_name:
                  type: string
                  description: Must not be greater than 20 characters.
                  nullable: true
                  example: ozodbspvpeamhjxiqp
                last_name:
                  type: string
                  description: Must not be greater than 30 characters.
                  nullable: true
                  example: vjurrvwix
                company_name:
                  type: string
                  description: >-
                    Must match the regex /^[A-Za-z0-9.()[\],'"_\/@&!*+\-, ]+$/.
                    Must not be greater than 150 characters.
                  example: jzsownjgx
                company_code:
                  type: string
                  description: >-
                    Must be at least 3 characters. Must not be greater than 20
                    characters.
                  nullable: true
                  example: neozbpfavqkkd
                line_one:
                  type: string
                  description: >-
                    Must be at least 2 characters. Must not be greater than 100
                    characters.
                  example: cofimzvpd
                line_two:
                  type: string
                  description: Must not be greater than 100 characters.
                  nullable: true
                  example: vrtcwet
                line_three:
                  type: string
                  description: Must not be greater than 100 characters.
                  nullable: true
                  example: ckihroigi
                city:
                  type: string
                  description: Must not be greater than 90 characters.
                  example: ilxwsdnlbwvytaawwo
                province_code:
                  type: string
                  description: >-
                    The <code>code</code> of an existing record in the provinces
                    table. Must not be greater than 20 characters.
                  nullable: true
                  example: jjpjopnpgfckrsusjqrd
                postcode:
                  type: string
                  description: Must not be greater than 20 characters.
                  example: ktuh
                contact_email:
                  type: string
                  description: >-
                    Must be a valid email address. Must not be greater than 255
                    characters.
                  nullable: true
                  example: weber.carlie@example.net
                contact_phone:
                  type: string
                  description: Must not be greater than 20 characters.
                  nullable: true
                  example: jfjlexnewcauvhbudw
            example:
              country_code: omnis
              vat_number: aliquid
              first_name: ozodbspvpeamhjxiqp
              last_name: vjurrvwix
              company_name: jzsownjgx
              company_code: neozbpfavqkkd
              line_one: cofimzvpd
              line_two: vrtcwet
              line_three: ckihroigi
              city: ilxwsdnlbwvytaawwo
              province_code: jjpjopnpgfckrsusjqrd
              postcode: ktuh
              contact_email: weber.carlie@example.net
              contact_phone: jfjlexnewcauvhbudw
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d2-6ec1-4ab8-a3fd-21a149e06102
                      first_name:
                        type: string
                        example: Ellis
                      last_name:
                        type: string
                        example: Hessel
                      company_name:
                        type: string
                        example: Cummerata, Zemlak and Kihn
                      vat_number:
                        type: string
                        example: perspiciatis
                      vat_validation_status:
                        type: string
                        example: invalid
                      vat_validated_at:
                        type: string
                        example: '2026-03-03T14:05:30Z'
                      line_one:
                        type: string
                        example: 303 Moore Islands Suite 472
                      line_two:
                        type: string
                        example: 32365 Heller Village Apt. 121
                      line_three:
                        type: string
                        example: 80180 Pfannerstill Corner Suite 283
                      city:
                        type: string
                        example: Mullerview
                      province_code:
                        type: string
                        example: PH
                      country_code:
                        type: string
                        example: MN
                      postcode:
                        type: string
                        example: 82907-5463
                      contact_email:
                        type: string
                        example: renner.alison@marks.info
                      contact_phone:
                        type: string
                        example: 502-831-9502
                      company_code:
                        type: string
                        example: '18208560'
                example:
                  data:
                    uuid: a13651d2-6ec1-4ab8-a3fd-21a149e06102
                    first_name: Ellis
                    last_name: Hessel
                    company_name: Cummerata, Zemlak and Kihn
                    vat_number: perspiciatis
                    vat_validation_status: invalid
                    vat_validated_at: '2026-03-03T14:05:30Z'
                    line_one: 303 Moore Islands Suite 472
                    line_two: 32365 Heller Village Apt. 121
                    line_three: 80180 Pfannerstill Corner Suite 283
                    city: Mullerview
                    province_code: PH
                    country_code: MN
                    postcode: 82907-5463
                    contact_email: renner.alison@marks.info
                    contact_phone: 502-831-9502
                    company_code: '18208560'
              example:
                data:
                  uuid: a13651d2-6ec1-4ab8-a3fd-21a149e06102
                  first_name: Ellis
                  last_name: Hessel
                  company_name: Cummerata, Zemlak and Kihn
                  vat_number: perspiciatis
                  vat_validation_status: invalid
                  vat_validated_at: '2026-03-03T14:05:30.0000000+00:00'
                  line_one: 303 Moore Islands Suite 472
                  line_two: 32365 Heller Village Apt. 121
                  line_three: 80180 Pfannerstill Corner Suite 283
                  city: Mullerview
                  province_code: PH
                  country_code: MN
                  postcode: 82907-5463
                  contact_email: renner.alison@marks.info
                  contact_phone: 502-831-9502
                  company_code: '18208560'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````